CairoContext::fillExtents
CairoContext::fontExtents
CairoContext
PHP Manual

# CairoContext::fillPreserve

# cairo_fill_preserve

Fills and preserve the current path

### Description

Object oriented style (method):

public void CairoContext::fillPreserve ( void )

Procedural style:

void cairo_fill_preserve ( CairoContext `$context` )

A drawing operator that fills the current path according to the current CairoFillRule, (each sub-path is implicitly closed before being filled). Unlike CairoContext::fill, CairoContext::fillPreserve (Procedural cairo_fill, cairo_fill_preserve, respectively) preserves the path within the Context.

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct or cairo_create

### Return Values

No value is returned.

### Examples

Example #1 Object oriented style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- CairoContext::setFillRule
- CairoContext::fill